searchNodes=[{"type":"module","title":"ClickHouse","doc":"A ClickHouse client. This currently represents an early work in progress.","ref":"ClickHouse.html"},{"type":"function","title":"ClickHouse.child_spec/1","doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"ClickHouse.html#child_spec/1"},{"type":"function","title":"ClickHouse.execute/3","doc":"Executes a query using a ClickHouse client.","ref":"ClickHouse.html#execute/3"},{"type":"function","title":"ClickHouse.prepare/3","doc":"Prepares a query for a ClickHouse client.","ref":"ClickHouse.html#prepare/3"},{"type":"function","title":"ClickHouse.query/4","doc":"Prepares and executes a query using a ClickHouse client.","ref":"ClickHouse.html#query/4"},{"type":"function","title":"ClickHouse.start_link/1","doc":"Starts a ClickHouse client. Options :name - Required. The name of the client. Defaults to :default . :interface - Required. The network interface to use for queries. Defaults to ClickHouse.Interface.HTTP . :formats - Required. A list of formats available for encoding/decoding. Defaults to [ClickHouse.Format.JSONCompactEachRow, ClickHouse.Format.RowBinary, ClickHouse.Format.TSV, ClickHouse.Format.TSVWithNames, ClickHouse.Format.TSVWithNamesAndTypes, ClickHouse.Format.Values] . Extra Options Any additional options passed will be given to the client interface.","ref":"ClickHouse.html#start_link/1"},{"type":"function","title":"ClickHouse.stream!/4","doc":"Creates a new query stream using a ClickHouse client.","ref":"ClickHouse.html#stream!/4"},{"type":"type","title":"ClickHouse.client/0","doc":"A ClickHouse client.","ref":"ClickHouse.html#t:client/0"},{"type":"type","title":"ClickHouse.data_type/0","doc":"The data types available.","ref":"ClickHouse.html#t:data_type/0"},{"type":"type","title":"ClickHouse.data_types/0","doc":"A list of data types.","ref":"ClickHouse.html#t:data_types/0"},{"type":"type","title":"ClickHouse.error/0","doc":"Various representations of ClickHouse-related errors.","ref":"ClickHouse.html#t:error/0"},{"type":"type","title":"ClickHouse.params/0","doc":"Parameters used with queries. Optional data types can be provided in a tuple format.","ref":"ClickHouse.html#t:params/0"},{"type":"type","title":"ClickHouse.start_option/0","doc":"Options used for child_spec/1 and start_link/1","ref":"ClickHouse.html#t:start_option/0"},{"type":"type","title":"ClickHouse.statement/0","doc":"A query statement.","ref":"ClickHouse.html#t:statement/0"},{"type":"module","title":"ClickHouse.Client","doc":"A ClickHouse client.","ref":"ClickHouse.Client.html"},{"type":"function","title":"ClickHouse.Client.new/1","doc":"Creates a new ClickHouse client.","ref":"ClickHouse.Client.html#new/1"},{"type":"type","title":"ClickHouse.Client.t/0","doc":"","ref":"ClickHouse.Client.html#t:t/0"},{"type":"module","title":"ClickHouse.Query","doc":"A ClickHouse query.","ref":"ClickHouse.Query.html"},{"type":"function","title":"ClickHouse.Query.prepare/3","doc":"Prepares a new ClickHouse query.","ref":"ClickHouse.Query.html#prepare/3"},{"type":"type","title":"ClickHouse.Query.t/0","doc":"A ClickHouse query","ref":"ClickHouse.Query.html#t:t/0"},{"type":"module","title":"ClickHouse.Query.Sigils","doc":"Sigils for preparing ClickHouse queries.","ref":"ClickHouse.Query.Sigils.html"},{"type":"macro","title":"ClickHouse.Query.Sigils.sigil_Q/2","doc":"","ref":"ClickHouse.Query.Sigils.html#sigil_Q/2"},{"type":"macro","title":"ClickHouse.Query.Sigils.sigil_q/2","doc":"","ref":"ClickHouse.Query.Sigils.html#sigil_q/2"},{"type":"module","title":"ClickHouse.Result","doc":"The results of a ClickHouse query.","ref":"ClickHouse.Result.html"},{"type":"function","title":"ClickHouse.Result.decode/1","doc":"","ref":"ClickHouse.Result.html#decode/1"},{"type":"function","title":"ClickHouse.Result.new/5","doc":"","ref":"ClickHouse.Result.html#new/5"},{"type":"type","title":"ClickHouse.Result.column_name/0","doc":"The name of the column.","ref":"ClickHouse.Result.html#t:column_name/0"},{"type":"type","title":"ClickHouse.Result.columns/0","doc":"The names and data types of columns.","ref":"ClickHouse.Result.html#t:columns/0"},{"type":"type","title":"ClickHouse.Result.rows/0","doc":"The rows returned from ClickHouse.","ref":"ClickHouse.Result.html#t:rows/0"},{"type":"type","title":"ClickHouse.Result.t/0","doc":"The result of a ClickHouse query.","ref":"ClickHouse.Result.html#t:t/0"},{"type":"module","title":"ClickHouse.Stream","doc":"Defines a ClickHouse.Stream struct returned by ClickHouse.stream!/4 .","ref":"ClickHouse.Stream.html"},{"type":"type","title":"ClickHouse.Stream.t/0","doc":"","ref":"ClickHouse.Stream.html#t:t/0"},{"type":"module","title":"ClickHouse.Telemetry","doc":"ClickHouse produces multiple telemetry events. Events [:clickhouse, :init, :start] - Called when a ClickHouse client init starts. Measurements :system_time - The current monotonic system time. Metadata :client - The name of the client. [:clickhouse, :init, :stop] - Called when a ClickHouse client init stops. Measurements :duration - The amount of time taken to start the ClickHouse client. Metadata :client - The name of the client. [:clickhouse, :init, :exception] - Called when a ClickHouse client init has an exception. Measurements :duration - The amount of time before the error occurred. Metadata :client - The name of the client. :kind - The kind of error raised. :reason - The reason for the error. :stacktrace - The stacktrace of the error. [:clickhouse, :prepare, :start] - Called when a ClickHouse query preparation starts. Measurements :system_time - The current monotonic system time. Metadata :client - The name of the client. [:clickhouse, :prepare, :stop] - Called when a ClickHouse query preparation stops. Measurements :duration - The amount of time taken to prepare the query. Metadata :client - The name of the client. [:clickhouse, :prepare, :exception] - Called when a ClickHouse query preparation has an exception. Measurements :duration - The amount of time before the error occurred. Metadata :client - The name of the client. :kind - The kind of error raised. :reason - The reason for the error. :stacktrace - The stacktrace of the error. [:clickhouse, :execute, :start] - Called when a ClickHouse query execution starts. Measurements :system_time - The current monotonic system time. Metadata :client - The name of the client. [:clickhouse, :execute, :stop] - Called when a ClickHouse query execution stops. Measurements :duration - The amount of time taken to execute the query. Metadata :client - The name of the client. [:clickhouse, :execute, :error] - Called when a ClickHouse query execution has an error. Metadata :client - The name of the client. :error - The error that occured. [:clickhouse, :execute, :exception] - Called when a ClickHouse query execution has an exception. Measurements :duration - The amount of time before the error occurred. Metadata :client - The name of the client. :kind - The kind of error raised. :reason - The reason for the error. :stacktrace - The stacktrace of the error.","ref":"ClickHouse.Telemetry.html"},{"type":"behaviour","title":"ClickHouse.Format","doc":"A behaviour to implement encoding and decoding of ClickHouse queries and results.","ref":"ClickHouse.Format.html"},{"type":"callback","title":"ClickHouse.Format.decode/1","doc":"A callback to decode columns and rows with the format.","ref":"ClickHouse.Format.html#c:decode/1"},{"type":"callback","title":"ClickHouse.Format.encode/2","doc":"A callback to build iodata for the given types and rows.","ref":"ClickHouse.Format.html#c:encode/2"},{"type":"callback","title":"ClickHouse.Format.names/0","doc":"A callback to return the names used for the format.","ref":"ClickHouse.Format.html#c:names/0"},{"type":"type","title":"ClickHouse.Format.name/0","doc":"A ClickHouse format name.","ref":"ClickHouse.Format.html#t:name/0"},{"type":"type","title":"ClickHouse.Format.t/0","doc":"Input and output formats from ClickHouse.","ref":"ClickHouse.Format.html#t:t/0"},{"type":"module","title":"ClickHouse.Format.JSONCompactEachRow","doc":"An implementation of the ClickHouse JSONCompactEachRow format.","ref":"ClickHouse.Format.JSONCompactEachRow.html"},{"type":"module","title":"ClickHouse.Format.RowBinary","doc":"An implementation of the ClickHouse RowBinary format.","ref":"ClickHouse.Format.RowBinary.html"},{"type":"module","title":"ClickHouse.Format.TSV","doc":"An implementation of the ClickHouse TSV format.","ref":"ClickHouse.Format.TSV.html"},{"type":"module","title":"ClickHouse.Format.TSVWithNames","doc":"An implementation of the ClickHouse TSVWithNames format.","ref":"ClickHouse.Format.TSVWithNames.html"},{"type":"module","title":"ClickHouse.Format.TSVWithNamesAndTypes","doc":"An implementation of the ClickHouse TSVWithNamesAndTypes format.","ref":"ClickHouse.Format.TSVWithNamesAndTypes.html"},{"type":"module","title":"ClickHouse.Format.Values","doc":"An implementation of the ClickHouse Values format.","ref":"ClickHouse.Format.Values.html"},{"type":"behaviour","title":"ClickHouse.Interface","doc":"A behaviour to implement a network interface with a ClickHouse server.","ref":"ClickHouse.Interface.html"},{"type":"callback","title":"ClickHouse.Interface.execute/3","doc":"A callback to execute a query with the network interface.","ref":"ClickHouse.Interface.html#c:execute/3"},{"type":"callback","title":"ClickHouse.Interface.start_link/1","doc":"A callback to start the network interface.","ref":"ClickHouse.Interface.html#c:start_link/1"},{"type":"callback","title":"ClickHouse.Interface.stream_into_next/2","doc":"A callback to stream the next chunk into the network interface.","ref":"ClickHouse.Interface.html#c:stream_into_next/2"},{"type":"callback","title":"ClickHouse.Interface.stream_into_start/1","doc":"A callback to start streaming a collectable into the network interface.","ref":"ClickHouse.Interface.html#c:stream_into_start/1"},{"type":"callback","title":"ClickHouse.Interface.stream_next/1","doc":"A callback to stream the next chunk with the network interface.","ref":"ClickHouse.Interface.html#c:stream_next/1"},{"type":"callback","title":"ClickHouse.Interface.stream_start/1","doc":"A callback to start a query stream with the network interface.","ref":"ClickHouse.Interface.html#c:stream_start/1"},{"type":"type","title":"ClickHouse.Interface.t/0","doc":"The ClickHouse network interface.","ref":"ClickHouse.Interface.html#t:t/0"},{"type":"module","title":"ClickHouse.Interface.HTTP","doc":"An interface to interact with a ClickHouse server via HTTP.","ref":"ClickHouse.Interface.HTTP.html"},{"type":"function","title":"ClickHouse.Interface.HTTP.child_spec/1","doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"ClickHouse.Interface.HTTP.html#child_spec/1"},{"type":"function","title":"ClickHouse.Interface.HTTP.execute/3","doc":"Executes a query via HTTP.","ref":"ClickHouse.Interface.HTTP.html#execute/3"},{"type":"function","title":"ClickHouse.Interface.HTTP.start_link/1","doc":"Starts the HTTP network interface.","ref":"ClickHouse.Interface.HTTP.html#start_link/1"},{"type":"function","title":"ClickHouse.Interface.HTTP.stream_next/1","doc":"Streams the next results of a query via HTTP.","ref":"ClickHouse.Interface.HTTP.html#stream_next/1"},{"type":"function","title":"ClickHouse.Interface.HTTP.stream_start/1","doc":"Starts a query result stream via HTTP.","ref":"ClickHouse.Interface.HTTP.html#stream_start/1"},{"type":"module","title":"ClickHouse.DataType","doc":"Functions for working with ClickHouse data types.","ref":"ClickHouse.DataType.html"},{"type":"function","title":"ClickHouse.DataType.encode/1","doc":"Encodes the provided data using the ClickHouse.DataType.Encodable protocol.","ref":"ClickHouse.DataType.html#encode/1"},{"type":"function","title":"ClickHouse.DataType.to_external/1","doc":"Converts the given internal type into an external representation.","ref":"ClickHouse.DataType.html#to_external/1"},{"type":"function","title":"ClickHouse.DataType.to_internal/1","doc":"Converts the given external type into an internal representation.","ref":"ClickHouse.DataType.html#to_internal/1"},{"type":"protocol","title":"ClickHouse.DataType.Encodable","doc":"A protocol to encode Elixir data types into ClickHouse data types.","ref":"ClickHouse.DataType.Encodable.html"},{"type":"function","title":"ClickHouse.DataType.Encodable.encode/1","doc":"","ref":"ClickHouse.DataType.Encodable.html#encode/1"},{"type":"type","title":"ClickHouse.DataType.Encodable.t/0","doc":"All the types that implement this protocol.","ref":"ClickHouse.DataType.Encodable.html#t:t/0"},{"type":"exception","title":"ClickHouse.ConnectionError","doc":"","ref":"ClickHouse.ConnectionError.html"},{"type":"type","title":"ClickHouse.ConnectionError.t/0","doc":"","ref":"ClickHouse.ConnectionError.html#t:t/0"},{"type":"exception","title":"ClickHouse.CoordinationError","doc":"","ref":"ClickHouse.CoordinationError.html"},{"type":"type","title":"ClickHouse.CoordinationError.t/0","doc":"","ref":"ClickHouse.CoordinationError.html#t:t/0"},{"type":"exception","title":"ClickHouse.DatabaseError","doc":"","ref":"ClickHouse.DatabaseError.html"},{"type":"type","title":"ClickHouse.DatabaseError.t/0","doc":"","ref":"ClickHouse.DatabaseError.html#t:t/0"},{"type":"exception","title":"ClickHouse.ParsingError","doc":"","ref":"ClickHouse.ParsingError.html"},{"type":"type","title":"ClickHouse.ParsingError.t/0","doc":"","ref":"ClickHouse.ParsingError.html#t:t/0"},{"type":"exception","title":"ClickHouse.QueryError","doc":"","ref":"ClickHouse.QueryError.html"},{"type":"type","title":"ClickHouse.QueryError.t/0","doc":"","ref":"ClickHouse.QueryError.html#t:t/0"},{"type":"exception","title":"ClickHouse.StreamError","doc":"","ref":"ClickHouse.StreamError.html"},{"type":"type","title":"ClickHouse.StreamError.t/0","doc":"","ref":"ClickHouse.StreamError.html#t:t/0"},{"type":"exception","title":"ClickHouse.SystemError","doc":"","ref":"ClickHouse.SystemError.html"},{"type":"type","title":"ClickHouse.SystemError.t/0","doc":"","ref":"ClickHouse.SystemError.html#t:t/0"},{"type":"extras","title":"ClickHouse","doc":"A ClickHouse client for the Elixir language. This currently represents a work in progress.","ref":"readme.html"},{"type":"extras","title":"ClickHouse - Installation","doc":"def deps do [ { :clickhouse , &quot;~&gt; 0.28&quot; } ] end","ref":"readme.html#installation"}]